TL-PA7017 firmware update failing

TL-PA7017 firmware update failing
TL-PA7017 firmware update failing
2020-08-29 18:25:07
Hardware Version: V4
Firmware Version: 3.2.4_701E04_190619_901

I downloaded the latest firmware update from the TP-Link site (TL-PA7017 KIT(US) V4/7017US4.0_3_2_4_14077_BCM960350_tpver_701E04_190619_901.ggl).

 

When I try to update the firmware with the tpPLC utility (Mac), version 1.2.3596.1, it (instantly) fails; as if it's checking compatibilty, and determines the firmware is not compatible, or is having some communication issue.

 

tpPLC is recognizing the units, and showing connection speed, etc.

 

Maybe it's because the tpPLC I'm using is a beta version (the "official" one will not run on MacOS 10.15.6; I found this version in the forums)?

0
0
#1
Options
1 Reply
Re:TL-PA7017 firmware update failing
2020-08-31 21:00:37

@Timeframed 

 

The first release of the software should the current firmware the powerline devices already have. So in your case, you already have that firmware installed.

 

The error may be using the utility for a different version.

0
0
#2
Options